PKGCTL-LICENSE-SETUP(1)

NOME
pkgctl-license-setup - Detecta e configura automaticamente uma configuração básica de REUSE

SINOPSE

pkgctl license setup [OPÇÕES] [PKGBASE...]

DESCRIÇÃO

Este subcomando automatiza a criação do arquivo de licença do pacote 0BSD do Arch Linux, bem como uma configuração básica de reuse(1), aplicando heurísticas simples. É especialmente útil ao configurar inicialmente o licenciamento de um pacote sem a necessidade de escrever manualmente um arquivo REUSE.toml.

Se algum arquivo .patch for detectado e o PKGBUILD(5) tiver apenas uma única entrada no array license=(), este subcomando assume que os patches estão licenciados sob essa licença e gera anotações para eles.

Caso não haja patches, nenhuma anotação adicional será gerada.

Anotações manuais são necessárias caso o subcomando não consiga gerar uma configuração que leve em conta todos os arquivos. Nesse caso, reuse lint falhará com um erro descritivo de quais arquivos estão sem uma anotação.

Se nenhum PKGBASE for especificado, o comando usará por padrão o diretório de trabalho atual.

OPÇÕES

-f, --force
    Sobrescreve a configuração existente de reuse(1)

--no-check
    Não executa pkgctl-license-check(1) após a configuração

-h, --help
    Mostra um texto de ajuda.

VEJA TAMBÉM

pkgctl-license(1) pkgctl-license-check(1) reuse(1) PKGBUILD(5)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).